//
//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2 of the License, or
//   (at your option) any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
//
//  This code is distributed under the GNU Public License
//  which can be found at http://www.gnu.org/licenses/gpl.txt

/*----------------------------------------------------------------------------
* File Name           : buttons.h
// Object              : QROlleSAM7S Board Features Definition File.
//
// Creation            : NSn   20080111
*----------------------------------------------------------------------------
*/


//+++++++++++++++++++++++++++++++++++++++++++++++++


// In Board.h: #define MENUBUTTONS	(!(AT91F_PIO_IsInputSet(AT91C_BASE_PIOA,aMENUBUTTON_MASK)==aMENUBUTTON_MASK))

extern BYTE SameButtonValue;
extern BYTE volatile AlreadyFound;
extern BYTE volatile KnobNowActive;


BYTE CheckButton ( UINT ButtonMask, BYTE repeatflag );
BYTE CheckButton4repeat ( UINT ButtonMask, BYTE repeatvalue, BYTE decrease );

